/*
 *                 Sun Public License Notice
 *
 * The contents of this file are subject to the Sun Public License
 * Version 1.0 (the "License"). You may not use this file except in
 * compliance with the License. A copy of the License is available at
 * http://www.sun.com/
 *
 *
 * The Original Code is NetBeans. The Initial Developer of the Original
 * Code is Tom Wheeler. Portions Copyright 2006 Tom Wheeler. All Rights 
 * Reserved. Any future updates to this code will be made available at 
 * http://www.tomwheeler.com/netbeans/
 */
package com.tomwheeler.example.tdlfile.intf;

import java.util.EventListener;
import javax.swing.event.ChangeEvent;
 
/**
 * <p>
 * This interface allows the implementer to be notified when items are added to
 * or removed from a TodoList.
 * </p>
 *
 * @author <a href="http://www.tomwheeler.com/netbeans/">Tom Wheeler</a>
 */
public interface ListContentListener extends EventListener {
     
    /** called whenever items are added to the Todo list  */
    public void itemAdded(ChangeEvent e);
     
    /** called whenever items are removed from the Todo list  */
    public void itemRemoved(ChangeEvent e);
}

